%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           WalletWasabi
Version:        2.0.1.1
Release:        %{mybuildnumber}%{?dist}
Summary:        An open-source, non-custodial, privacy-focused Bitcoin wallet
Group:          Applications/Financial

License:        MIT
URL:            https://github.com/zkSNACKs/%{name}
Source0:        https://github.com/zkSNACKs/%{name}/releases/download/v%{version}/Wasabi-%{version}.tar.gz
Source1:        wassabee.desktop
Source2:        wasabi-wallet-logo.png

BuildRequires:  coreutils

%description
Wasabi is an open-source, non-custodial, privacy-focused Bitcoin wallet for Desktop, that implements trustless CoinJoin.

%prep
%setup -q -n Wasabi-%{version}

%build

%install
mkdir -p "%{buildroot}"/opt/%{name}/
cp -R * "%{buildroot}"/opt/%{name}/
install -m 644 -D -t "%{buildroot}"/%{_datadir}/applications/ "%SOURCE1"
install -m 644 -D -t "%{buildroot}"/%{_datadir}/pixmaps/ "%SOURCE2"

%files
%defattr(-, root, root)
/opt/%{name}
%{_datadir}/pixmaps/wasabi-wallet-logo.png
%{_datadir}/applications/wassabee.desktop

%changelog
* Sun Aug 02 2020  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial release.
